Get Gateway Transactions
curl --request GET \
--url https://api.lygosapp.com/v1/api/marketplace/gateway/{gateway_id}/transactions \
--header 'api-key: <api-key>'import requests
url = "https://api.lygosapp.com/v1/api/marketplace/gateway/{gateway_id}/transactions"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.lygosapp.com/v1/api/marketplace/gateway/{gateway_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"creation_date": "2023-11-07T05:31:56Z",
"buyer_price": 123,
"product_price": 123,
"buyer": {
"buyer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"country": {
"name": "CMR",
"iso_code": "CMR"
},
"operator": {
"name": "MTN",
"value": "MTN_MOMO_CMR"
}
},
"additional_info": [
{
"fieldName": "<string>",
"value": "<string>"
}
]
}
]Marketplace
Get Gateway Transactions
GET
/
v1
/
api
/
marketplace
/
gateway
/
{gateway_id}
/
transactions
Get Gateway Transactions
Headers
Path Parameters
Response
Successful Response
⌘I